VERSION = 'production'

LOGGING = {
    'version': 1,
    'formatters': {'default': {
        'format': '[%(asctime)s] %(levelname)s in %(module)s: %(message)s',
    }},
    'handlers': {
        'wsgi': {
            'class': 'logging.StreamHandler',
            'stream': 'ext://flask.logging.wsgi_errors_stream',
            'formatter': 'default'
        },
        'file': {
            'class': 'logging.handlers.RotatingFileHandler',
            'formatter': 'default',
            'filename': '/var/log/sf-notifier/sfnotifier.log',
            'mode': 'a',
            'maxBytes': 10485760,
            'backupCount': 5
        }
    },
    'loggers': {
        'sf_notifier.server': {
            'level': 'INFO',
            'handlers': ['file', 'wsgi']
        },
        'sf_notifier.salesforce.client': {
            'level': 'INFO',
            'handlers': ['file', 'wsgi']
        }
    }
}

SIMPLE_SETTINGS = {
    'OVERRIDE_BY_ENV': True,
    'CONFIGURE_LOGGING': True,
}

SF_CONFIG = {}
